GNU Radio's FOO Package: gr::foo::random_periodic_msg_source_impl Class Reference

GNU Radio's FOO Package

gr::foo::random_periodic_msg_source_impl Class Reference

`#include <random_periodic_msg_source_impl.h>`

Inheritance diagram for gr::foo::random_periodic_msg_source_impl:

## Public Member Functions
| random_periodic_msg_source_impl (int msg_len, long interval, int num_msg, bool quit, bool debug, int seed)
virtual | ~random_periodic_msg_source_impl ()
void | set_nmsg (int nmsg)
int | get_nmsg ()
void | set_delay (long delay)
long | get_delay ()
void | start_tx ()
void | stop_tx ()
pmt::pmt_t | generate_msg ()
bool | is_running ()

## Additional Inherited Members
Public Types inherited from gr::foo::random_periodic_msg_source
typedef std::shared_ptr< random_periodic_msg_source > | sptr
Static Public Member Functions inherited from gr::foo::random_periodic_msg_source
static sptr | make (int msg_len, long interval, int num_msg=1, bool quit=true, bool debug=false, int seed=0)

## Constructor & Destructor Documentation

## ◆ random_periodic_msg_source_impl()

gr::foo::random_periodic_msg_source_impl::random_periodic_msg_source_impl | ( | int | msg_len,
|  | long | interval,
|  | int | num_msg,
|  | bool | quit,
|  | bool | debug,
|  | int | seed )

## ◆ ~random_periodic_msg_source_impl()

virtual gr::foo::random_periodic_msg_source_impl::~random_periodic_msg_source_impl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ generate_msg()

pmt::pmt_t gr::foo::random_periodic_msg_source_impl::generate_msg | ( |  | ) |

## ◆ get_delay()

long gr::foo::random_periodic_msg_source_impl::get_delay | ( |  | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ get_nmsg()

int gr::foo::random_periodic_msg_source_impl::get_nmsg | ( |  | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ is_running()

bool gr::foo::random_periodic_msg_source_impl::is_running | ( |  | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ set_delay()

void gr::foo::random_periodic_msg_source_impl::set_delay | ( | long | delay | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ set_nmsg()

void gr::foo::random_periodic_msg_source_impl::set_nmsg | ( | int | nmsg | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ start_tx()

void gr::foo::random_periodic_msg_source_impl::start_tx | ( |  | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

## ◆ stop_tx()

void gr::foo::random_periodic_msg_source_impl::stop_tx | ( |  | ) |
| virtual

Implements gr::foo::random_periodic_msg_source.

The documentation for this class was generated from the following file:

- random_periodic_msg_source_impl.h